Bug 1286365 - [abrt] libva-utils: object_heap_destroy(): vainfo killed by SIGFPE
[abrt] libva-utils: object_heap_destroy(): vainfo killed by SIGFPE
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libva (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:741088e0ee37b08b89050918305...
:
: 1277242 1278434 1279220 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-28 11:03 EST by code
Modified: 2016-12-20 11:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:22:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (16.21 KB, text/plain)
2015-11-28 11:03 EST, code
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-28 11:03 EST, code
no flags Details
File: core_backtrace (2.56 KB, text/plain)
2015-11-28 11:03 EST, code
no flags Details
File: dso_list (3.29 KB, text/plain)
2015-11-28 11:03 EST, code
no flags Details
File: environ (3.55 KB, text/plain)
2015-11-28 11:03 EST, code
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-28 11:04 EST, code
no flags Details
File: maps (15.69 KB, text/plain)
2015-11-28 11:04 EST, code
no flags Details
File: mountinfo (3.78 KB, text/plain)
2015-11-28 11:04 EST, code
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-28 11:04 EST, code
no flags Details
File: open_fds (297 bytes, text/plain)
2015-11-28 11:04 EST, code
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-11-28 11:04 EST, code
no flags Details
File: var_log_messages (310 bytes, text/plain)
2015-11-28 11:04 EST, code
no flags Details

  None (edit)
Description code 2015-11-28 11:03:51 EST
Description of problem:
Simply run vainfo. Output is

libva info: VA-API version 0.38.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/nouveau_drv_video.so
libva info: Found init function __vaDriverInit_0_38
Failed to open VDPAU backend libvdpau_nouveau.so: cannot open shared object file: No such file or directory
Floating point exception (core dumped)

Version-Release number of selected component:
libva-utils-1.6.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        vainfo
crash_function: object_heap_destroy
executable:     /usr/bin/vainfo
global_pid:     26690
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 object_heap_destroy at object_heap.c:275
 #1 destroy_heap at vdpau_driver.c:138
 #3 vdpau_common_Terminate at vdpau_driver.c:159
 #4 vdpau_Terminate_Current at vdpau_driver_template.h:537
 #5 vdpau_Initialize_Current at vdpau_driver_template.h:563
 #6 __vaDriverInit_0_38 at vdpau_driver.c:317
 #7 va_openDriver at va.c:296
 #8 vaInitialize at va.c:559

Potential duplicate: bug 1184785
Comment 1 code 2015-11-28 11:03:55 EST
Created attachment 1099925 [details]
File: backtrace
Comment 2 code 2015-11-28 11:03:56 EST
Created attachment 1099926 [details]
File: cgroup
Comment 3 code 2015-11-28 11:03:57 EST
Created attachment 1099927 [details]
File: core_backtrace
Comment 4 code 2015-11-28 11:03:58 EST
Created attachment 1099928 [details]
File: dso_list
Comment 5 code 2015-11-28 11:03:59 EST
Created attachment 1099929 [details]
File: environ
Comment 6 code 2015-11-28 11:04:00 EST
Created attachment 1099930 [details]
File: limits
Comment 7 code 2015-11-28 11:04:01 EST
Created attachment 1099931 [details]
File: maps
Comment 8 code 2015-11-28 11:04:02 EST
Created attachment 1099932 [details]
File: mountinfo
Comment 9 code 2015-11-28 11:04:03 EST
Created attachment 1099933 [details]
File: namespaces
Comment 10 code 2015-11-28 11:04:04 EST
Created attachment 1099934 [details]
File: open_fds
Comment 11 code 2015-11-28 11:04:05 EST
Created attachment 1099935 [details]
File: proc_pid_status
Comment 12 code 2015-11-28 11:04:06 EST
Created attachment 1099936 [details]
File: var_log_messages
Comment 13 code 2015-11-28 11:07:04 EST
This affects many other components. Shotwell, tracker-extract, and totem all crash with a similar backtrace when confronted with any of a wide variety of video files. This makes those components essentially unusable.
Comment 14 code 2015-11-28 11:08:57 EST
*** Bug 1278434 has been marked as a duplicate of this bug. ***
Comment 15 code 2015-11-28 11:09:10 EST
*** Bug 1279220 has been marked as a duplicate of this bug. ***
Comment 16 code 2015-11-28 12:38:00 EST
This seems to have stopped happening after installing the mesa-vdpau-drivers package, but I still should not be getting SIGFPE in other components when mesa-vdpau-drivers is not installed. If it is mandatory, it should be a mandatory dependency of the RPMs in question—otherwise everything should degrade gracefully.
Comment 17 Nicolas Chauvet (kwizart) 2015-11-28 15:13:34 EST
yeah, but mesa-vdpau-driver is only one drivers pack (for nouveau, radeon, etc).
but not for intel and other vdpau bridge (nvidia), best is to have them installed by default to avoid to rely on weird runtime computation, but then the question become is the nouveau vaapi backend works for all card ? This is not the case for mine on f22 (it should work but crash) and f23 vdpau isn't supported on DRI3 with PRIME yet...

The other side of the problem is to have vainfo fixed when there is no or a broken backend. Can you report the problem upstream directly ?
Comment 18 Nicolas Chauvet (kwizart) 2015-12-16 07:13:25 EST
Can you check if you can reproduce with libva-1.6.2 ?
Comment 19 Nicolas Chauvet (kwizart) 2015-12-16 07:14:38 EST
I meant, with mesa-vdpau-drivers isn't installed ?

Currently in updates-testing
dnf updtate --enablerepo=updates-testing libva\*
Comment 20 code 2015-12-28 10:32:49 EST
I’ll try that in a week or so when I’m back at the machine—first to reproduce the original problem by removing the mesa vdpau driver, then installing the mentioned update.
Comment 21 code 2015-12-28 10:33:40 EST
I’ll try that in a week or so when I’m back at the machine—first to reproduce the original problem by removing the mesa vdpau driver, then installing the mentioned update.
Comment 22 code 2016-01-02 20:11:19 EST
Looks like I already got libva-1.6.2-1 as an update in the main updates channel. I didn’t really want to downgrade, so I did not start by reproducing the original problem with 1.6.1; instead, I just removed mesa-vdpau-driver and ran vainfo again. Sadly, the FPE still occurs.
Comment 23 code 2016-01-02 20:18:52 EST
Comments, and link to this bug, added to an existing upstream bug at https://bugs.freedesktop.org/show_bug.cgi?id=75959
Comment 25 Bastien Nocera 2016-09-21 11:07:19 EDT
*** Bug 1277242 has been marked as a duplicate of this bug. ***
Comment 26 Fedora End Of Life 2016-11-24 08:48:46 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 27 Fedora End Of Life 2016-12-20 11:22:54 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.